> ## Documentation Index
> Fetch the complete documentation index at: https://developers.yara.cash/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a deposit address

> Returns a single deposit address owned by the authenticated merchant.



## OpenAPI

````yaml /openapi.json get /v1/addresses/{id}
openapi: 3.0.3
info:
  contact:
    email: support@yara.cash
    name: Yara API Support
  description: >-
    Merchant-facing wallets/address-as-a-service API for creating merchant
    receive addresses, inspecting balances, quoting transfers, and initiating
    payouts to whitelisted recipients.

    Public endpoints are for external integrators. Dashboard endpoints are
    gateway-to-environment surfaces protected by the external API gateway.
    Internal endpoints are platform/system surfaces protected by an internal
    token.
  license:
    name: Proprietary
  title: Yara External API - Public API
  version: '1.0'
servers:
  - url: https://api.yara.cash
security: []
paths:
  /v1/addresses/{id}:
    get:
      tags:
        - public.addresses
      summary: Get a deposit address
      description: Returns a single deposit address owned by the authenticated merchant.
      parameters:
        - description: Address ID
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AddressResponse:
      properties:
        data:
          $ref: '#/components/schemas/Address'
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
      type: object
    Address:
      properties:
        address:
          example: '0x742d35Cc6634C0532925a3b844Bc454e4438f44e'
          type: string
        chain:
          example: BASE
          type: string
        id:
          example: 7f7c6713-3fdc-43fb-a9e7-d3c364e7c763
          type: string
        merchant_id:
          example: 8fca3c8d-5d48-4f4d-a286-2ef6d1cd2f01
          type: string
        status:
          example: ACTIVE
          type: string
      type: object
    ErrorBody:
      properties:
        code:
          example: validation_error
          type: string
        message:
          example: invalid JSON body
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: 'Public merchant API key. You can also send Authorization: ApiKey <key>.'
      in: header
      name: X-Yara-API-Key
      type: apiKey

````